# Uses of Class
org.apache.commons.math3.util.Incrementor

Packages that use Incrementor
Package
Description
org.apache.commons.math3.analysis.integration
Numerical integration (quadrature) algorithms for univariate real functions.
org.apache.commons.math3.fitting.leastsquares
This package provides algorithms that minimize the residuals between observations and model values.
org.apache.commons.math3.ode
This package provides classes to solve Ordinary Differential Equations problems.
org.apache.commons.math3.optim
Generally, optimizers are algorithms that will either `minimize` or `maximize` a scalar function, called the `objective function`.
org.apache.commons.math3.optimization.direct
This package provides optimization algorithms that don't require derivatives.
org.apache.commons.math3.util
Convenience routines and common data structures used throughout the commons-math library.

## Uses of Incrementor in org.apache.commons.math3.analysis.integration

Fields in org.apache.commons.math3.analysis.integration declared as Incrementor
Modifier and Type
Field
Description
`protected Incrementor`
BaseAbstractUnivariateIntegrator.`iterations`
Deprecated.
as of 3.6, this field has been replaced with `BaseAbstractUnivariateIntegrator.incrementCount()`

## Uses of Incrementor in org.apache.commons.math3.fitting.leastsquares

Methods in org.apache.commons.math3.fitting.leastsquares that return Incrementor
Modifier and Type
Method
Description
`Incrementor`
LeastSquaresAdapter.`getEvaluationCounter()`
Get a independent Incrementor that counts up to the maximum number of evaluations and then throws an exception.
`Incrementor`
LeastSquaresAdapter.`getIterationCounter()`
Get a independent Incrementor that counts up to the maximum number of iterations and then throws an exception.
Methods in org.apache.commons.math3.fitting.leastsquares with parameters of type Incrementor
Modifier and Type
Method
Description
`static LeastSquaresProblem`
LeastSquaresFactory.`countEvaluations(LeastSquaresProblem problem, Incrementor counter)`
Count the evaluations of a particular problem.

## Uses of Incrementor in org.apache.commons.math3.ode

Methods in org.apache.commons.math3.ode that return Incrementor
Modifier and Type
Method
Description
`protected Incrementor`
AbstractIntegrator.`getEvaluationsCounter()`
Deprecated.
as of 3.6 replaced with `AbstractIntegrator.getCounter()`

## Uses of Incrementor in org.apache.commons.math3.optim

Fields in org.apache.commons.math3.optim declared as Incrementor
Modifier and Type
Field
Description
`protected final Incrementor`
BaseOptimizer.`evaluations`
Evaluations counter.
`protected final Incrementor`
BaseOptimizer.`iterations`
Iterations counter.
Methods in org.apache.commons.math3.optim that return Incrementor
Modifier and Type
Method
Description
`Incrementor`
AbstractOptimizationProblem.`getEvaluationCounter()`
Get a independent Incrementor that counts up to the maximum number of evaluations and then throws an exception.
`Incrementor`
OptimizationProblem.`getEvaluationCounter()`
Get a independent Incrementor that counts up to the maximum number of evaluations and then throws an exception.
`Incrementor`
AbstractOptimizationProblem.`getIterationCounter()`
Get a independent Incrementor that counts up to the maximum number of iterations and then throws an exception.
`Incrementor`
OptimizationProblem.`getIterationCounter()`
Get a independent Incrementor that counts up to the maximum number of iterations and then throws an exception.

## Uses of Incrementor in org.apache.commons.math3.optimization.direct

Fields in org.apache.commons.math3.optimization.direct declared as Incrementor
Modifier and Type
Field
Description
`protected final Incrementor`
BaseAbstractMultivariateOptimizer.`evaluations`
Deprecated.
Evaluations counter.
`protected final Incrementor`
BaseAbstractMultivariateVectorOptimizer.`evaluations`
Deprecated.
Evaluations counter.

## Uses of Incrementor in org.apache.commons.math3.util

Methods in org.apache.commons.math3.util that return Incrementor
Modifier and Type
Method
Description
`static Incrementor`
Incrementor.`wrap(IntegerSequence.Incrementor incrementor)`
Deprecated.
Create an instance that delegates everything to a `IntegerSequence.Incrementor`.